//Player.h
#include "integer.h"

//address in sector
#define MBR_START	446

#define MBR_BPP1	8

#define BPB_SECTLEN 11
#define BPB_SECTPERCLUST	13
#define BPB_RESVDSECT	14
#define BPB_NUMOFFATS	16
#define BPB_ROOTENT		17
#define BPB_TOTALSECT	19
#define BPB_FATSIZE		22

typedef struct _FILEINFO {
	DWORD	fsize;			// File size
	DWORD	org_clust;		// File start cluster
	DWORD	WaveSize;		// Size of Wave data
	char fname[10];			// File Name - .wav, null terminate
} FILEINFO;

typedef struct _CLUSTERBLOCK {
	WORD	Start_Clust;
	WORD	End_Cluster;
} CLUSTERBLOCK;


BYTE Player_Init(void);
BYTE read_FAT_info(void);
BYTE search_WAV(UINT count);
void SortMusic(void);
void Player_Start(void);
void Player_Stop(void);
void Player_Pause(void);
void Player_FF(void);
void Player_Prev(void);
BYTE Player_Play(void);
void Player_NusicName(char * dest);
UINT Player_MusicNum(void);
void Player_MinSec(char * dest);
void Player_GotoMusicHead(ULONG);
ULONG GetnextCluster(ULONG CurrentClust);
DWORD Player_FileSize(void);

//test routine.
void TrackCluster(void);
WORD GetnextClusterByFAT(WORD CurrentClust);


